SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Typedefs | Enumerations | Variables
ReplicaManager3.h File Reference

Contains the third iteration of the ReplicaManager class. More...

`#include "NativeFeatureIncludes.h"`
`#include "types.h"`
`#include "time.h"`
`#include "BitStream.h"`
`#include "PacketPriority.h"`
`#include "PluginInterface2.h"`
`#include "NetworkIDObject.h"`
`#include "DS_OrderedList.h"`
`#include "DS_Queue.h"`

Go to the source code of this file.

## Classes

struct | SLNet::PRO
class | SLNet::ReplicaManager3
| System to help automate game object construction, destruction, and serialization. More...
struct | SLNet::ReplicaManager3::RM3World
struct | SLNet::LastSerializationResultBS
struct | SLNet::LastSerializationResult
struct | SLNet::SerializeParameters
struct | SLNet::DeserializeParameters
class | SLNet::Connection_RM3
| Each remote system is represented by Connection_RM3. Used to allocate Replica3 and track which instances have been allocated. More...
class | SLNet::Replica3
| Base class for your replicated objects for the ReplicaManager3 system. More...
class | SLNet::Replica3Composite< parent_type >
| Use Replica3 through composition instead of inheritance by containing an instance of this templated class Calls to parent class for all functions Parent class must still define and functions though! More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Typedefs

typedef uint8_t | SLNet::WorldId

## Enumerations

enum | SLNet::SendSerializeIfChangedResult { SLNet::SSICR_SENT_DATA, SLNet::SSICR_DID_NOT_SEND_DATA, SLNet::SSICR_NEVER_SERIALIZE }
enum | SLNet::RM3ConstructionState { SLNet::RM3CS_SEND_CONSTRUCTION, SLNet::RM3CS_ALREADY_EXISTS_REMOTELY, SLNet::RM3CS_ALREADY_EXISTS_REMOTELY_DO_NOT_CONSTRUCT, SLNet::RM3CS_NEVER_CONSTRUCT, SLNet::RM3CS_NO_ACTION, SLNet::RM3CS_MAX }
| Return codes for Connection_RM3::GetConstructionState() and Replica3::QueryConstruction() More...
enum | SLNet::RM3DestructionState { SLNet::RM3DS_SEND_DESTRUCTION, SLNet::RM3DS_DO_NOT_QUERY_DESTRUCTION, SLNet::RM3DS_NO_ACTION, SLNet::RM3DS_MAX }
enum | SLNet::RM3SerializationResult { SLNet::RM3SR_BROADCAST_IDENTICALLY, SLNet::RM3SR_BROADCAST_IDENTICALLY_FORCE_SERIALIZATION, SLNet::RM3SR_SERIALIZED_UNIQUELY, SLNet::RM3SR_SERIALIZED_ALWAYS, SLNet::RM3SR_SERIALIZED_ALWAYS_IDENTICALLY, SLNet::RM3SR_DO_NOT_SERIALIZE, SLNet::RM3SR_NEVER_SERIALIZE_FOR_THIS_CONNECTION, SLNet::RM3SR_MAX }
enum | SLNet::RM3QuerySerializationResult { SLNet::RM3QSR_CALL_SERIALIZE, SLNet::RM3QSR_DO_NOT_CALL_SERIALIZE, SLNet::RM3QSR_NEVER_CALL_SERIALIZE, SLNet::RM3QSR_MAX }
enum | SLNet::RM3ActionOnPopConnection { SLNet::RM3AOPC_DO_NOTHING, SLNet::RM3AOPC_DELETE_REPLICA, SLNet::RM3AOPC_DELETE_REPLICA_AND_BROADCAST_DESTRUCTION, SLNet::RM3AOPC_MAX }
enum | SLNet::Replica3P2PMode { SLNet::R3P2PM_SINGLE_OWNER, SLNet::R3P2PM_MULTI_OWNER_CURRENTLY_AUTHORITATIVE, SLNet::R3P2PM_MULTI_OWNER_NOT_CURRENTLY_AUTHORITATIVE, SLNet::R3P2PM_STATIC_OBJECT_CURRENTLY_AUTHORITATIVE, SLNet::R3P2PM_STATIC_OBJECT_NOT_CURRENTLY_AUTHORITATIVE }

## Variables

static const int | SLNet::RM3_NUM_OUTPUT_BITSTREAM_CHANNELS =16

## Detailed Description

Contains the third iteration of the ReplicaManager class.

Definition in file ReplicaManager3.h.